/* eslint-disable no-use-before-define */
<template lang="pug">
.pt-5.ma-5
  v-row
    h2.pa-2.mr-auto Washing Machine
    v-dialog(v-model='dialog' persistent='' max-width='600px')
      template(#activator='{ on, attrs }')
        v-btn.pa-2.mr-2(color='purple accent-3' v-bind='attrs' v-on='on')
          v-icon mdi-plus
      v-card
        v-card-title
          span.text-h5 Washing Machine
        v-card-text
          v-container
            v-row
              v-col(cols='12')
                v-text-field(v-model='form.code' label='Code' :rules='[rules.required]' required='')
              v-col(cols='12')
                v-select(v-model='form.color' :items="['red', 'blue', 'green', 'orange', 'yellow']" :rules='[rules.required]' label='Color' required='')
        v-card-actions
          v-spacer
            v-btn(color='blue darken-1' text='' @click='dialog = false') Close
            v-btn(color='blue darken-1' text='' @click='save(form)') Save
  v-row.mb-6.mt-5
    v-col(v-for='(machine, index) in machines' :key='index' :cols='3')
      v-card.pa-2
        .d-flex.align-end.flex-column.mb-2
          v-btn(color='red' @click='remove(index)')
            v-icon mdi-delete
        v-img(:src='WashingMachineImg')
          v-card-title  Washing Machine Code: {{ machine.code }}
          v-card-subtitle Color: {{ machine.color }}
  </template>
  <script>
  import washingMachineImg from '~/assets/img/washing-machie.png'
  export default {
    name: 'HomePage',
    components: {},
    layout: 'default',
    data () {
      return {
        dialog: false,
        idCounter: 2,
        form: {
          code: '',
          color: ''
        },
        WashingMachineImg: washingMachineImg,
        machines: [
          { id: 1, code: 'Ax1', color: 'red' }
        ],
        rules: {
          required: value => !!value || 'Required.'
        }
      }
    },
    computed: {},
    created () {},
    mounted () {},
    methods: {
      async save (item) {
        if (item.code && item.color) {
          this.machines.push({ id: this.idCounter++, ...item })
          // console.log(this.machines)
          this.dialog = await false
          this.form.code = ''
          this.form.color = ''
        }
      },
      remove (index) {
        this.machines.splice(index, 1)
      }
    }
  }
  </script>